<ion-buttons slot="end">
  <ion-button (click)="dismissModal()">
    <ion-icon slot="end" name="close-outline"></ion-icon>
  </ion-button>
</ion-buttons>
  
<ion-content>
  <div class="adminList">
    <button type="button" class="btn btn-primary" (click)="addtostorage()">Primary</button>
    <button type="button" class="btn btn-primary" (click)="getData()">jjjjjjjjj</button>
   \
  </div>
</ion-content>